**MetaPhlAn** is a tool for profiling the composition of microbial communities. For more information, see the tool's 
[website](https://huttenhower.sph.harvard.edu/metaphlan/) or 
[Github wiki](https://github.com/biobakery/MetaPhlAn/wiki/MetaPhlAn-3.0).

# Function Call

```python
tc.metaphlan(
  	inputs,
  	output_path=None,
  	output_primary_name="out.txt",
  	tool_args="",
  	is_async=False,
)
```

## Function Arguments

| Argument              | Use in place of:     | Description                                                                                                                                                                                                                |
| :-------------------- | :------------------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `inputs`              | input file location  | Path to one or more files to use as input. The files can be a local or remote, see [Using Files](../../getting-started/using-files.md).                                                            |
| `output_path`         | output file location | (optional) Path (directory) to where the output files will be downloaded. If omitted, skips download. The files can be a local or remote, see [Using Files](../../getting-started/using-files.md). |
| `tool_args`           | all other arguments  | (optional) Additional arguments to be passed to MetaPhlAn. This should be a string of arguments like the command line.                                                                                                     |
| `output_primary_name` |                      | (optional) Sets the name of the main output file. Defaults to "out.txt"                                                                                                                                                    |
| `is_async`            |                      | Whether to run a job asynchronously.  See [Async Runs](../../feature-reference/async-runs.md) for more.                                                                                                                                    |

See the [Databases](#databases) section for more details.

## Output Files

A MetaPhlAn run will output 2 files into `output_path`:

- `out.txt`: Results of the MetaPhlAn run.
- `{input_file_name}.bowtie2out.txt`: The intermediate Bowtie 2 output file generated by MetaPhlAn. This can be passed in as input to quickly rerun with the same input. This is not generated if `--no-map`is passed via `tool_args`

# Tool Versions

Toolchest currently supports version **3.0.14** of MetaPhlAn.

# Databases

Toolchest currently supports the latest version of the `mpa_v30_CHOCOPhlAn_201901_marker_info` database. You can read more about the database on the [Github wiki](https://github.com/biobakery/MetaPhlAn/wiki/MetaPhlAn-3.0).